!set title=fonction linéaire 2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=Guerimand Fabrice
email=fwguerima@free.fr
computeanswer=no
precision=10000

ansorder=c
varcnt=19
prevarcnt=18
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp=!nonempty items f,g,h

tmp0=!randitem $tmp
val6=$(tmp0)
tmp0=!randitem 1,-1

tmp1=!randint 1, 20

val7=$[rint($(tmp0)*$(tmp1))]
tmp0=!randitem 1,-1

tmp1=!randint 1, 40

val8=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 20

val9=$[rint($(tmp0))]
tmp=!translate ";': to $     $ in $val8/$val9

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val8=$(tmp0)
tmp0=!randitem 1,-1

tmp1=!randint 1, 20

val10=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 20

val9=$[rint($(tmp0))]
tmp0=!randitem 1,-1

tmp1=!randint 1, 20

val11=$[rint($(tmp0)*$(tmp1))]
tmp=!translate ";': to $     $ in $val11/$val9

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val11=$(tmp0)
tmp=!translate ";': to $     $ in $val10*$val8/$val7

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val9=$(tmp0)
tmp=!nonempty items $val9,$val11

tmp0=!randitem $tmp
val11=$(tmp0)
val12=Oui,Non

!ifval $val7*$val11-$val8*$val10=0
val13=1
!else
val13=2
!endif
tmp0=!item $val13 of $val12

val13=$(tmp0)
tmp=!translate ";': to $     $ in $val8/$val7

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val14=$(tmp0)

!ifval ($val14 issametext $val8/$val7)
val14=\frac{$val8}{$val7}
!else
val14=\frac{$val8}{$val7}=$val14
!endif
tmp=!translate ";': to $     $ in $val11/$val10

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val15=$(tmp0)

!ifval ($val15 issametext $val11/$val10)
val15=\frac{$val11}{$val10}
!else
val15=\frac{$val11}{$val10}=$val15
!endif
choicename1=Votre réponse
choicegood1=$val13
choicebad1=$val12
question=__EXECUTED_1692754_EXERCISE__
solution=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()L'image de 
!insmath $val7
$() par la fonction linéaire 
!insmath $val6
$() est 
!insmath $val8
$() et l'image de 
!insmath $val10
$() est 
!insmath $val11
$().<p>	
!insmath $val6
$() peut-elle être une fonction linéaire?
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()On peut résoudre l'exercice de deux façons:	<ul>	<li><b>Méthode 1 :</b> faire un tableau de proportionnalité:<p>	<table border="1">	  <tr> 	    <td> 	      <div align="center"><b>x</b></div>	    </td>	    <td>
!insmath $val7
$()</td>	    <td>
!insmath $val10
$()</td>	  </tr>	  <tr> 	    <td> 	      <div align="center"><b>$val6 (x)</b></div>	    </td>	    <td>
!insmath $val8
$()</td>	    <td>
!insmath $val11
$()</td>	  </tr>	</table>	Se demander si la fonction peut être linéaire revient à se demander si le tableau est un tableau de proportionnalité. On calcule donc les rapports des nombres de la seconde ligne sur ceux de la première. On trouve :	<center> 
!insmath $val14
$() et 
!insmath $val15
$().</center> Ces deux fractions 	 
!if $val13=Oui 
$()sont égales, donc le tableau est proportionnel et la fonction peut être linéaire. 
!else
$()  ne sont pas égales, donc le tableau n'est pas proportionnel et la fonction n'est pas linéaire. 
!endif
$()</li>	<li><b>Méthode 1 :</b> on utilise la notation fonctionnelle :<p> 	Lorsque la fonction est linéaire, le rapport entre les nombres et leurs images est constant. On calcule les rapports :<p>	
!insmath \frac{$val6($val7)}{$val7}=$val14
$() et 
!insmath \frac{$val6($val10)}{$val10}=$val15
$()<p>	Ces deux fractions 	 
!if $val13=Oui 
$()sont égales, donc le tableau est proportionnel et la fonction peut être linéaire. 
!else
$()  ne sont pas égales, donc le tableau n'est pas proportionnel et la fonction n'est pas linéaire. 
!endif
$()</li>	</ul> 
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,8,10,11,13,14,15
embedcnt=0
